<?php

namespace Bixo\Parser;

use DB;
use Illuminate\Database\Seeder;

class ParserTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('parsers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'parser.parser.view',
                'name'      => 'View Parser',
            ],
            [
                'slug'      => 'parser.parser.create',
                'name'      => 'Create Parser',
            ],
            [
                'slug'      => 'parser.parser.edit',
                'name'      => 'Update Parser',
            ],
            [
                'slug'      => 'parser.parser.delete',
                'name'      => 'Delete Parser',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'parser.parser.verify',
                'name'      => 'Verify Parser',
            ],
            [
                'slug'      => 'parser.parser.approve',
                'name'      => 'Approve Parser',
            ],
            [
                'slug'      => 'parser.parser.publish',
                'name'      => 'Publish Parser',
            ],
            [
                'slug'      => 'parser.parser.unpublish',
                'name'      => 'Unpublish Parser',
            ],
            [
                'slug'      => 'parser.parser.cancel',
                'name'      => 'Cancel Parser',
            ],
            [
                'slug'      => 'parser.parser.archive',
                'name'      => 'Archive Parser',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/parser/parser',
                'name'        => 'Parser',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/parser/parser',
                'name'        => 'Parser',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'parser',
                'name'        => 'Parser',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Parser',
                'module'    => 'Parser',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'parser.parser.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
