Lavalite package that provides parser management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/parser`.

    "bixo/parser": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Parser\Providers\ParserServiceProvider::class,

And also add it to alias

    'Parser'  => Bixo\Parser\Facades\Parser::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\ParserTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Parser\Providers\ParserServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Parser\Providers\ParserServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Parser\Providers\ParserServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/parser/{modulename}

**User**

    http://path-to-route-folder/user/parser/{modulename}

**Public**

    http://path-to-route-folder/parsers


### API endpoints

**List**

    http://path-to-route-folder/api/user/parser/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/parser/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/parser/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/parser/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/parser/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/parser/{modulename}/{slug}
    METHOD: GET