<?php

namespace Bixo\Parser;

use User;

class Parser
{
    /**
     * $parser object.
     */
    protected $parser;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Parser\Interfaces\ParserRepositoryInterface $parser)
    {
        $this->parser = $parser;
    }

    /**
     * Returns count of parser.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.parser.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->parser->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ParserUserCriteria());
        }

        $parser = $this->parser->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('parser::' . $view, compact('parser'))->render();
    }
}
