<?php

namespace Bixo\Parser\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ParserTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Parser\Models\Parser $parser)
    {
        return [
            'id'                => $parser->getRouteKey(),
            'key'               => [
                'public'    => $parser->getPublicKey(),
                'route'     => $parser->getRouteKey(),
            ], 
            'name'              => $parser->name,
            'email'             => $parser->email,
            'domain'            => $parser->domain,
            'parser'            => $parser->parser,
            'deleted_at'        => $parser->deleted_at,
            'url'               => [
                'public'    => trans_url('parser/'.$parser->getPublicKey()),
                'user'      => guard_url('parser/parser/'.$parser->getRouteKey()),
            ], 
            'status'            => trans('app.'.$parser->status),
            'created_at'        => format_date($parser->created_at),
            'updated_at'        => format_date($parser->updated_at),
        ];
    }
}