<?php

namespace Bixo\Parser\Workflow;

use Bixo\Parser\Models\Parser;
use Bixo\Parser\Notifications\ParserWorkflow as ParserNotifyer;
use Notification;

class ParserNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Parser $parser
     *
     * @return void
     */
    public function complete(Parser $parser)
    {
        return Notification::send($parser->user, new ParserNotifyer($parser, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Parser $parser
     *
     * @return void
     */
    public function verify(Parser $parser)
    {
        return Notification::send($parser->user, new ParserNotifyer($parser, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Parser $parser
     *
     * @return void
     */
    public function approve(Parser $parser)
    {
        return Notification::send($parser->user, new ParserNotifyer($parser, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Parser $parser
     *
     * @return void
     */
    public function publish(Parser $parser)
    {
        return Notification::send($parser->user, new ParserNotifyer($parser, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Parser $parser
     *
     * @return void
     */
    public function archive(Parser $parser)
    {
        return Notification::send($parser->user, new ParserNotifyer($parser, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Parser $parser
     *
     * @return void
     */
    public function unpublish(Parser $parser)
    {
        return Notification::send($parser->user, new ParserNotifyer($parser, 'unpublish'));;

    }
}
